Bug 815723 - Jenkins build will always fail after destroy jenkins slave app manually
Jenkins build will always fail after destroy jenkins slave app manually
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Bill DeCoste
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-24 07:16 EDT by Johnny Liu
Modified: 2015-05-14 18:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-27 16:46:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johnny Liu 2012-04-24 07:16:25 EDT
Description of problem:
Jenkins build will always fail after destroy jenkins slave app manually

Version-Release number of selected component (if applicable):
devenv_1738

How reproducible:
Always

Steps to Reproduce:
1. Create app with jenkins embeded.
2. Do git push to trigger jenkins build, it works fine.
3. Destroy jenkins slave app manually, e.g: <app_name>+bldr
4. Do git push again to trigger jenkins build
  
Actual results:
This time jenkins build failed.
<--snip-->
remote: Executing Jenkins build.
remote: 
remote: You can track your build at https://jenkins-jialiu.dev.rhcloud.com/job/rubytest-build
remote: 
remote: Waiting for build to schedule.............................................
remote: **BUILD FAILED/CANCELLED**
remote: Please see the Jenkins log for more details via rhc-tail-files
remote: !!!!!!!!
remote: Deployment Halted!
remote: If the build failed before the deploy step, your previous
remote: build is still running.  Otherwise, your application may be
remote: partially deployed or inaccessible.
remote: Fix the build and try again.
remote: !!!!!!!!
To ssh://ca7ed1a1c0084381a241d2bfea257fc7@rubytest-jialiu.dev.rhcloud.com/~/git/rubytest.git/
<--snip-->

After this failure, do git push again, then jenkins build succeed.

Expected results:
Jenkins build should succeed.

Additional info:
jenkins log:
<--snip-->
Apr 24, 2012 7:10:06 AM hudson.plugins.openshift.OpenShiftCloud createConnection
INFO: Using credentialssystem_builder:Yxa17U31mHbG
Apr 24, 2012 7:10:06 AM hudson.plugins.openshift.OpenShiftCloud reloadConfig
INFO: Reload result 
Apr 24, 2012 7:10:06 AM hudson.plugins.openshift.OpenShiftCloud provision
INFO: Provisioned 1 new nodes
Apr 24, 2012 7:10:06 AM hudson.slaves.NodeProvisioner update
INFO: Started provisioning rubytest-build from OpenShift Cloud with 1 executors. Remaining excess workload:0.0
Apr 24, 2012 7:10:30 AM hudson.plugins.openshift.OpenShiftSlave stopApp
INFO: Slave stopping application...
Apr 24, 2012 7:10:39 AM hudson.plugins.openshift.OpenShiftSlave connect
INFO: Connecting to slave rubytestbldr...
Apr 24, 2012 7:10:40 AM hudson.plugins.openshift.OpenShiftSlave connect
INFO: Established UUID = d881ac08e6464b30a127cf84267bebd9
Apr 24, 2012 7:10:45 AM hudson.plugins.openshift.OpenShiftSlave connect
INFO: Checking to see if slave DNS for rubytestbldr-jialiu.dev.rhcloud.com is resolvable ...
Apr 24, 2012 7:10:45 AM hudson.plugins.openshift.OpenShiftSlave connect
INFO: Slave DNS resolved - rubytestbldr-jialiu.dev.rhcloud.com/10.62.97.178
Apr 24, 2012 7:10:45 AM hudson.slaves.NodeProvisioner update
INFO: rubytest-build provisioning successfully completed. We have now 1 computer(s)
Apr 24, 2012 7:10:45 AM hudson.plugins.openshift.OpenShiftCloud provision
INFO: Provisioning new node for workload = 2 and label = rubytest-build
Apr 24, 2012 7:10:46 AM hudson.plugins.openshift.OpenShiftCloud getSlaves
INFO: Found existing slave for: rubytestbldr
Apr 24, 2012 7:10:46 AM hudson.plugins.openshift.OpenShiftCloud shouldProvision
INFO: Checking capacity
Apr 24, 2012 7:10:46 AM hudson.plugins.openshift.OpenShiftCloud shouldProvision
INFO: User has consumed 3 of 20 gears.
Apr 24, 2012 7:10:46 AM hudson.plugins.openshift.OpenShiftCloud shouldProvision
INFO: Capacity remaining - checking for existing type...
Apr 24, 2012 7:10:46 AM hudson.plugins.openshift.OpenShiftCloud shouldProvision
INFO: Found an existing builder.  Not provisioning...
Apr 24, 2012 7:10:46 AM hudson.plugins.openshift.OpenShiftCloud provision
INFO: Not provisioning new builder...
Apr 24, 2012 7:10:46 AM hudson.plugins.openshift.OpenShiftCloud provision
INFO: Provisioned 0 new nodes
Apr 24, 2012 7:10:46 AM hudson.plugins.openshift.OpenShiftCloud cancelBuild
INFO: Cancelling build
Apr 24, 2012 7:10:46 AM hudson.plugins.openshift.OpenShiftSlave _terminate
INFO: Terminating slave rubytestbldr (uuid: 562f8b675bb54009b3b5d298802c439e)
Apr 24, 2012 7:10:46 AM hudson.plugins.openshift.OpenShiftSlave _terminate
INFO: Terminating OpenShift application...
Apr 24, 2012 7:10:53 AM hudson.plugins.openshift.OpenShiftCloud cancelBuild
WARNING: Build for job rubytest-build has been cancelled
<--snip-->
Comment 1 Bill DeCoste 2012-04-24 20:58:47 EDT
fixed in jenkins-plugin-openshift 0.5.18
Comment 2 Johnny Liu 2012-04-25 23:00:56 EDT
Verified this bug with jenkins-plugin-openshift-0.5.19-0.el6_2.x86_64 on devenv-stage_176, and PASS.

Note You need to log in before you can comment on or make changes to this bug.